Loading...
Searching...
No Matches
format_base.hpp File Reference

Provides the format_base struct containing all helper functions that are needed in all formats. More...

`#include <filesystem>`
`#include <iostream>`
`#include <limits>`
`#include <sstream>`
`#include <string>`
`#include <seqan3/argument_parser/auxiliary.hpp>`
`#include <seqan3/argument_parser/detail/concept.hpp>`
`#include <seqan3/argument_parser/exceptions.hpp>`
`#include <seqan3/argument_parser/validators.hpp>`
`#include <seqan3/utility/detail/type_name_as_string.hpp>`
`#include <seqan3/version.hpp>`
Include dependency graph for format_base.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Detailed Description

Provides the format_base struct containing all helper functions that are needed in all formats.

Author
  Svenja Mehringer <svenja.mehringer AT fu-berlin.de>

Hide me